summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefano Lattarini <stefano.lattarini@gmail.com>2012-07-01 13:31:54 +0200
committerStefano Lattarini <stefano.lattarini@gmail.com>2012-07-01 13:33:36 +0200
commit337110487a5a1868cad767dd9f09c49d178c6f67 (patch)
treefe1e8cc99939040948d4794b27e22b86f5af0ac5
parentd5443e4c3e6ca109be489bde2e1b4720d69f0029 (diff)
downloadautomake-337110487a5a1868cad767dd9f09c49d178c6f67.tar.gz
tests: don't trust the exit status of "make -k" for non-GNU makes
* t/parallel-tests-recheck-pr11791.sh: Here. At least some versions of FreeBSD make botch it up, returning success when failure should be returned. Signed-off-by: Stefano Lattarini <stefano.lattarini@gmail.com>
-rwxr-xr-xt/parallel-tests-recheck-pr11791.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/t/parallel-tests-recheck-pr11791.sh b/t/parallel-tests-recheck-pr11791.sh
index 2cb18cf71..2d2fc5a71 100755
--- a/t/parallel-tests-recheck-pr11791.sh
+++ b/t/parallel-tests-recheck-pr11791.sh
@@ -42,8 +42,10 @@ $MAKE check >stdout && { cat stdout; exit 1; }
cat stdout
count_test_results total=1 pass=0 fail=1 xpass=0 xfail=0 skip=0 error=0
-$MAKE -k recheck >stdout && { cat stdout; exit 1; }
+st=0; $MAKE -k recheck >stdout || st=$?
cat stdout
+# Don't trust the exit status of "make -k" for non-GNU makes.
+if using_gmake && test $st -eq 0; then exit 1; fi
count_test_results total=1 pass=0 fail=1 xpass=0 xfail=0 skip=0 error=0
# Introduce an error in foo.c, that should cause a compilation failure.